apiVersion: apps/v1
kind: Deployment
metadata:
  name: quay-operator
spec:
  replicas: 1
  selector:
    matchLabels:
      name: quay-operator
  template:
    metadata:
      labels:
        name: quay-operator
    spec:
      serviceAccountName: quay-operator
      containers:
        - name: quay-operator
          image: quay.io/kmullins/quay-operator:v1.1.0-rc1
          command:
            - quay-operator
          imagePullPolicy: Always
          env:
            - name: WATCH_NAMESPACE
              valueFrom:
                fieldRef:
                  fieldPath: metadata.namespace
            - name: POD_NAME
              valueFrom:
                fieldRef:
                  fieldPath: metadata.name
            - name: OPERATOR_NAME
              value: "quay-operator"
            - name: DEBUGLOG
              value: "true"
